#ifndef _PORTS_H_
#define _PORTS_H_

//---------------------------------Includes---------------------------------
#include <avr/io.h>				//zur Deklaration der C-Ports
//---------------------------------C-Ports---------------------------------

//PB-Belegung
#define REED_3			0		//Reedkontakt 3 per Kabel, Wohnzimmer
#define REED_4			1		//Reedkontakt 4 per Kabel, Esszimmer
#define REED_5			2		//Reedkontakt 5 per Kabel, Reserve
#define LED_RT_DATA		3		//Rot, fr allg. Statuszustand (extern ausgefhrt)
#define LED_GN_OK		4		//Grn, fr allg. Statuszustand (extern ausgefhrt)
#define STOERUNG		5		//Strung der Sirene
//#define				6		//externer Quarz
//#define				7		//externer Quarz

//PC-Belegung
#define TEST_PORT 		0		//Testport zu Testzwecken
#define REED_2			1		//Reedkontakt 2 per Kabel, Garage
#define REED_1			2		//Reedkontakt 1 per Kabel, Eingangsfenster
#define REED_0			3		//Reedkontakt 0 per Kabel, Eingangstr (verzgert)
//#define				4		//externer I2C-Zugriff
//#define				5		//externer I2C-Zugriff
//#define				6		//Reset AVR

//PD-Belegung
//#define				0		//externer UART-Zugriff
//#define				1		//externer UART-Zugriff
#define RELAIS			2		//Relais Wechslerkontakt	
#define SUMMER			3		//Anstreuerung, Summer	
#define SIRENE			4		//Anstreuerung, Sirene, High = OFF
#define CS_REL1			5		//Relais 1 Codeschloss, HAA aktiv/inaktiv	
#define SABOK			6		//Sabotagekontakt der Sirene
#define CS_EXIT			7		//Externer Zugriff auf Codeschloss (Exit-Kontakt)

//PORTs auf LOW oder HIGH setzten
#define Led_Rot_On()	PORTB |= (1<<LED_RT_DATA)
#define Led_Rot_Off()	PORTB &=~(1<<LED_RT_DATA)
#define Led_Gruen_On()	PORTB |= (1<<LED_GN_OK)
#define Led_Gruen_Off()	PORTB &=~(1<<LED_GN_OK)
#define Relais_On()		PORTD |= (1<<RELAIS)
#define Relais_Off()	PORTD &=~(1<<RELAIS)
#define Summer_On()		PORTD |= (1<<SUMMER)
#define Summer_Off()	PORTD &=~(1<<SUMMER)
#define Sirene_Off()	PORTD |= (1<<SIRENE)
#define Sirene_On()		PORTD &=~(1<<SIRENE)
#define CS_Exit_On()	PORTD |= (1<<CS_EXIT)
#define CS_Exit_Off()	PORTD &=~(1<<CS_EXIT)
#define Test_On()		PORTC |= (1<<TEST_PORT)
#define Test_Off()		PORTC &=~(1<<TEST_PORT)
#define Test_Toggle()	PORTC ^= (1<<TEST_PORT)


//PORTs abfragen
#define Reed0_offen()	PINC &(1<<REED_0)
#define Reed1_offen()	PINC &(1<<REED_1)
#define Reed2_offen()	PINC &(1<<REED_2)
#define Reed3_offen()	PINB &(1<<REED_3)
#define Reed4_offen()	PINB &(1<<REED_4)
#define Reed5_offen()	PINB &(1<<REED_5)
#define CSRel1_offen()	PIND &(1<<CS_REL1)
#define Sabotage()		!(PIND &(1<<SABOK))
#define Stoerung()		PINB &(1<<STOERUNG)

#endif
